# disable k3b setup for now until polkit-qt adopts
# the new polkit api
%define with_k3b_setup 0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	k3b is a KDE based CD/DVD Burner.
Name:      	k3b-kde4
Version:   	2.0.1
Release:   	2
Epoch:		1
BuildArch:	i686
License: 	GNU/GPL
URL:		http://www.k3b.org
Group:     	Archiving/CD Burning    
Source0: 	k3b-%{version}.tar.bz2
Patch0: 	k3b-2.0_settings-crash.patch
BuildArch:	i686
Obsoletes:	k3b

BuildRequires:	soprano-devel
 
#Automatically resolved build dependencies
BuildRequires: ffmpeg-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel >= 4.5.3
BuildRequires: kdemultimedia-devel >= 4.5.3
BuildRequires: kdebase-workspace-devel >= 4.5.3
BuildRequires: kdepimlibs-devel >= 4.5.3
BuildRequires: lame-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libdvdread-devel
BuildRequires: libgcc
BuildRequires: libmad-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libogg-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel >= 1.0.20 libsndfile >= 1.0.20
BuildRequires: libstdc++-devel phonon-devel
BuildRequires: libvorbis-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: qt4-devel
BuildRequires: taglib-devel automoc4
%if %{with_k3b_setup}
BuildRequires: polkit-qt-1-devel
%endif

%description
K3B is a CD and DVD burning application for Linux systems optimized for KDE.
It provides a comfortable user interface to perform most CD/DVD burning tasks
like creating an Audio CD from a set of audio files or copying a CD.
While the experienced user can take influence in all steps of the
burning process the beginner may find comfort in the automatic settings and
the reasonable K3B defaults which allow a quick start.
The actual burning in K3B is done by the command line utilities cdrecord,
cdrdao, and growisofs.
This is the KDE4 version of K3B.

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}    
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n k3b-%{version}
%patch0 -p0

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} %if ! %{with_k3b_setup} -DK3B_BUILD_K3BSETUP=OFF %endif . 
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%if ! %{with_k3b_setup}
rm -rf $RPM_BUILD_ROOT/%{_locale}/*/LC_MESSAGES/k3bsetup.mo
%endif

%files
%defattr(-,root,root)
%{_bindir}/k3b
%{_libdir}/kde4/k3b*.so
%{_libdir}/kde4/kcm_k3b*.so
%{_libdir}/kde4/kio_videodvd.so
%{_libdir}/libk3blib.so*
%{_libdir}/libk3bdevice.so*
%{_datadir}/applications/kde4/k3b.desktop
%{_datadir}/kde4/apps/k3b/
%{_datadir}/kde4/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_datadir}/kde4/apps/solid/actions/k3b_*.desktop
%{_datadir}/kde4/services/ServiceMenus/k3b_*.desktop
%{_datadir}/kde4/services/k3b*.desktop
%{_datadir}/kde4/services/kcm_k3b*.desktop
%{_datadir}/kde4/services/videodvd.protocol
%{_datadir}/kde4/servicetypes/k3bplugin.desktop
%{_datadir}/sounds/k3b_*.wav
%{_datadir}/mime/packages/x-k3b.xml
%{_datadir}/icons/hicolor/*/apps/k3b.png
%{_datadir}/icons/hicolor/scalable/apps/k3b.svgz
%{_locale}/*/LC_MESSAGES/k3b.mo
%{_locale}/*/LC_MESSAGES/libk3b.mo
%{_locale}/*/LC_MESSAGES/libk3bdevice.mo
%{_locale}/*/LC_MESSAGES/kio_videodvd.mo
%if %{with_k3b_setup}
%{_locale}/*/LC_MESSAGES/k3bsetup.mo
%{_bindir}/k3bsetup
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.k3bsetup.conf
%{_libdir}/kde4/libexec/k3bsetuphelper
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.k3bsetup.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.k3bsetup.policy
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/k3b*.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 05 2010 Christian Metzen <metzench@ccux-linux.de> 1:2.0.1-2
- add settings crash patch
* Wed Aug 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.1-1
- Version update
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.0.0-1
- Version update
* Sat May 29 2010 Christian Metzen <metzench@ccux-linux.de> 1:1.92.0-1
- Version update
- rc3
* Mon Apr 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.91.0-1
- Version update
- rc2
* Sat Mar 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.90.0-1
- Version update
- rc1
* Sun Jan 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.70.0-1
- Version update
- beta1
* Fri Nov 27 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.69.0-1
- Version update, alpha 4
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.68.0-2
- disabled k3b setup until polkit-qt gets updated to new polkit api
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.68.0-1
- version update
- alpha3
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.67.0-1
- version update
- svn 1028063
* Wed Sep 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.66.0-2
- rebuilt against ffmpeg 0.6-1
* Wed May 27 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.66.0-1
- Version update, alpha 2
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.65.0-1
- switch to first official alpha 1 release tarball
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.0-7
- svn revision 948770
* Mon Mar 30 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.0-6
- svn revision 946717
* Wed Mar 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.0-5
- svn revision 938400
* Sun Dec 28 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.0-4
- svn revision 902356
* Sat Oct 11 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.0-3
- svn revision 869858
* Tue Sep 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.0-2
- svn revision 859103
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- initial package release, based on k3b package
- svn revision 788178
